Skip to main content
PATCH
Update BYOC infrastructure customer-authorized access
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Replaces the customer setting that controls when ClickHouse personnel may access the BYOC infrastructure. Allow access with mode: always, deny it with mode: never, or allow it for a single window with mode: window, startTimestamp and durationSeconds. Returns the stored setting together with the data plane verdict.

Permission

The API key must have the control-plane:organization:manage permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the BYOC infrastructure.

byocInfrastructureId
string<uuid>
required

ID of the BYOC infrastructure.

Body

application/json
mode
string
required

When ClickHouse personnel may access the infrastructure. Current values: always, never, window. New values may be added over time. always allows access, never denies it, and window allows it during a single time window described by startTimestamp and durationSeconds

Example:

"window"

startTimestamp
string<date-time>

Start of the access window. ISO-8601. Required when mode is window, not allowed otherwise

durationSeconds
integer

Length of the access window in seconds, from 1 to 172800 (48 hours). Required when mode is window, not allowed otherwise

Example:

14400

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object